# baseadmin

> A Pythonic base for building administrator tools for distributed (IoT) applications.

[![Latest Version on PyPI](https://img.shields.io/pypi/v/baseadmin.svg)](https://pypi.python.org/pypi/baseadmin/)
[![Supported Implementations](https://img.shields.io/pypi/pyversions/baseadmin.svg)](https://pypi.python.org/pypi/baseadmin/)
[![Build Status](https://secure.travis-ci.org/christophevg/baseadmin.svg?branch=master)](http://travis-ci.org/christophevg/baseadmin)
[![Documentation Status](https://readthedocs.org/projects/baseadmin/badge/?version=latest)](https://baseadmin.readthedocs.io/en/latest/?badge=latest)
[![Coverage Status](https://coveralls.io/repos/github/christophevg/baseadmin/badge.svg?branch=master)](https://coveralls.io/github/christophevg/baseadmin?branch=master)
[![Built with PyPi Template](https://img.shields.io/badge/PyPi_Template-v0.0.6-blue.svg)](https://github.com/christophevg/pypi-template)

## Rationale

Having developed several (IoT) solutions that included an administrative backend, common patterns emerged. With baseAdmin I'm extracting the common parts into a framework that can be used to build context-specific applications. The main goal is to have a working solution out of the box that can be extended with minimal effort.

### Philosophy

As the main goal of baseAdmin is out of the box functionality that is extendable with minimal effort, it is highly driven by conventions. Trying to break away from these conventions will probably result in pain. If you feel that any of the conventions don't fit your needs, you better don't use baseAdmin.

## Documentation

Visit [Read the Docs](https://baseadmin.readthedocs.org) for the full documentation, including overviews and full setup walkthroughs.
